Openembedded Core Discussions
 help / color / mirror / Atom feed
* [PATCH] udev: don't mount with -o sync
@ 2012-07-03  8:49 Jesse Zhang
  2012-07-03 10:41 ` Koen Kooi
  2012-07-17 16:53 ` [PATCH] " Saul Wold
  0 siblings, 2 replies; 5+ messages in thread
From: Jesse Zhang @ 2012-07-03  8:49 UTC (permalink / raw)
  To: openembedded-core

mount.sh mounts all partitions with -o sync, which is bad for system
performance.

Signed-off-by: Jesse Zhang <sen.zhang@windriver.com>
---
 meta/recipes-core/udev/udev/mount.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-core/udev/udev/mount.sh b/meta/recipes-core/udev/udev/mount.sh
index 53fefa3..c13b8bb 100644
--- a/meta/recipes-core/udev/udev/mount.sh
+++ b/meta/recipes-core/udev/udev/mount.sh
@@ -23,7 +23,7 @@ automount() {
 
 	! test -d "/media/$name" && mkdir -p "/media/$name"
 	
-	if ! $MOUNT -t auto -o sync $DEVNAME "/media/$name"
+	if ! $MOUNT -t auto $DEVNAME "/media/$name"
 	then
 		#logger "mount.sh/automount" "$MOUNT -t auto $DEVNAME \"/media/$name\" failed!"
 		rm_dir "/media/$name"
-- 
1.7.10.4




^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2012-07-17 17:04 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-07-03  8:49 [PATCH] udev: don't mount with -o sync Jesse Zhang
2012-07-03 10:41 ` Koen Kooi
2012-07-04  2:00   ` Jesse Zhang
2012-07-04  2:03   ` [PATCH v2] " Jesse Zhang
2012-07-17 16:53 ` [PATCH] " Saul Wold

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox